Bug 165574 - Review Request: perl-Params-Validate
Review Request: perl-Params-Validate
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://search.cpan.org/dist/Params-Va...
:
Depends On: 165573
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-10 11:41 EDT by Ralf Corsepius
Modified: 2010-10-25 14:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 03:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-10 11:41:05 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Params-Validate.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Params-Validate-0.78-1.src.rpm

Description:
The Params::Validate module allows you to validate method or function
call parameters to an arbitrary level of specificity. At the simplest
level, it is capable of validating the required parameters were given
and that no unspecified additional parameters were passed in. It is
also capable of determining that a parameter is of a specific type,
that it is an object of a certain class hierarchy, that it possesses
certain methods, or applying validation callbacks to arguments.
Comment 1 Jose Pedro Oliveira 2005-08-13 16:03:09 EDT
PUBLISH++


MD5SUMS:
1e00a5a76f63a0ccaa6eef99b3f03738  perl-Params-Validate-0.78-1.src.rpm

8b6951214915c33addc4cc16e047546f  Params-Validate-0.78.tar.gz
cd4215d22cff70ad5e213af58c67fdc7  perl-Params-Validate.spec

Sources:
* Params-Validate-0.78.tar.gz: MD5 digest verified against CPAN tarball


Good:
* Package name follows standard
* Source0 MD5 digest OK
* URL and Source0 URL are valid
* License verified (README or main POD document)
* Build Requirements OK
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are valid
* Builds without problems in FC-3 and FC-4
* CPAN Testers: version 0.78 - no failed tests
  http://testers.cpan.org/show/Params-Validate.html

Other notes:
- Last changelog entry
  log version doesn't match package version
Comment 2 Steven Pritchard 2010-10-25 12:38:05 EDT
Package Change Request
======================
Package Name: perl-Params-Validate
New Branches: el6
Owners: steve
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2010-10-25 14:29:38 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.